Skip to the page

A repository's branches

GET/v1/organisations/{id}/git/connections/{cid}/repositories/{owner}/{repo}/branches

Operation git.branches · since 2026-11-05 · stable

Needs a session withreadscopeAnswers200 OK

Path parameters

idstring (uuid)required
The organisation id.
cidstring (uuid)required
The Git connection id.
ownerstringrequired
The repository owner.
repostringrequired
The repository name.

Errors

Every error is { "error", "message", "detail"? } (Errors and references). Besides the codes any route can answer.

GET/v1/organisations/{id}/git/connections/{cid}/repositories/{owner}/{repo}/branches
curl "https://api.rykloud.com/v1/organisations/$ORG_ID/git/connections/$CONNECTION_ID/repositories/$REPO_OWNER/$REPO/branches" \
  -H "Authorization: Bearer $RYKLOUD_TOKEN"